Bug 118813 - icon-theme Colibre uses same icon for fontwork-gallery-floater and text-on-path dialog window
Summary: icon-theme Colibre uses same icon for fontwork-gallery-floater and text-on-pa...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.1 rc
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.2
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2018-07-17 21:12 UTC by Regina Henschel
Modified: 2019-01-07 07:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-07-17 21:12:19 UTC
Switch to icon-theme Colibre. Start Draw or Impress. 
The standard toolbar should have an icon, which shows an outlined F. If belongs to the command .uno:FontworkGalleryFloater.
Now customize the toolbar and add the command "Fontwork" from the category "Format". It belongs to the command .uno:FontWork.

Notice, that both commands use the same icon. This is neither a problem in Sifr nor in Tango or Breeze.

My suggestion is to use an icon which shows a character on a path. The command name .uno:FontWork is only historical. The feature is commonly known as "text on path".
Comment 1 Jean-Baptiste Faure 2018-07-19 16:27:53 UTC
If I find "fontwork" in customize/toolbars dialog, I see six entries and three have the icon: Fontwork, Fontwork Shape and Fontwork Style
In breeze and sifr icon sets, 2 have the same icon, Fontwork and Fontwork Shape

Same problem in LO 6.1.0.1.0+. Tested under Ubuntu.

Set status to NEW.

Best regards. JBF
Comment 2 Commit Notification 2019-01-07 06:20:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f60bc2a18ef759a0ec9dcb2718d3063291b0d899%5E%21

tdf#118813 update colibre Fontwork icon

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-01-07 07:23:28 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/41b7b96a026d8fe7114ce4acc29e7ac358a7372d%5E%21

tdf#118813 update colibre Fontwork icon

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.